## sugar-presence-service-0.84 0.84.1

=== debian/changelog ===
sugar-presence-service-0.84 (0.84.1-1) unstable; urgency=low

  * New upstream maintenance release.
  * Bump a year in copyright file.
  * Enable bzip2-compressed tarballs in git-buildpackage configfile.
  * Suppress unneeded auto-resolved build-dependency on python-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Jun 2010 19:38:07 +0200

sugar-presence-service-0.84 (0.84.0-6) unstable; urgency=low

  * Use branch shortlog in Vcs-Browser stanza.
  * Drop all local CDBS snippets: included with main cdbs package now.
  * Switch to source format "3.0 (quilt)".
  * Relax build-dependencies on python-central and python-dev.
  * Relax build-dependency on devscripts slightly, to ease backporting.
  * Tighten build-dependency on cdbs.
  * Bump standards-version to 3.8.4.
  * Update copyright file:
    + Reformat to conform to draft DEP5 rev. 135.
    + Add GPL disclaimers.
    + Adjust some years.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Mar 2010 19:34:39 +0200

sugar-presence-service-0.84 (0.84.0-5) unstable; urgency=low

  * Update debian/control format to DEP5 rev54. Include automade files
    (GPL-2+ or GAP).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Sep 2009 23:48:18 +0200

sugar-presence-service-0.84 (0.84.0-4) unstable; urgency=low

  * Build-depend on openssh-client (not depend: needed for regression
    test only).
  * Depend on net-tools.
  * Update OLPC relation (now historic) in long description.
  * Bump up policy compliance to standards version 3.8.3.
  * Update CDBS snippets:
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones).
    + Improve package-relation.mk cleanup to cover debhelper 6 and 7,
      strip more whitespace and cover mixture of unversioned+versioned
      dependencies.
    + Silence applying dependencies in package-relation.mk.
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk.
    + Update URL to draft DEP5 format in copyright-check.mk output.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Sep 2009 23:06:36 +0200

sugar-presence-service-0.84 (0.84.0-3) unstable; urgency=low

  * Really provide, conflict with and replace sugar-presence-service.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 May 2009 20:38:12 +0200

sugar-presence-service-0.84 (0.84.0-2) unstable; urgency=low

  * Provide, conflict with and replace sugar-presence-service.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 May 2009 20:30:06 +0200

sugar-presence-service-0.84 (0.84.0-1) unstable; urgency=low

  * New upstream release.
  * Add README.source (and drop CDBS hints and README.packaging).
  * Update CDBS snippets:
    + Minor updates to buildinfo.mk and copyright-check.mk
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones)
    + Extend package-relation.mk to handle debhelper 6 and 7.0.1
  * Add git-buildpackage configfile, enabling signed tags and use of
    pristine-tar.
  * Use sugarlabs.org (not laptop.org) as upstream URLs.
  * Restrict watch file to current stable release (0.84).
  * Handle binary (not only source) dependencies in rules file.
  * Append major version (0.84) to binary and source package.
  * Update debian/copyright:
    + Rewrite to use DEP5 r48 proposed machine-readable format
    + Add/update authors of files below debian/* (no new licenses)
    + Merge copyright entries with only differing years.
  * Bump policy compliance to Standards-Version 3.8.1.
  * Stop depending on unneeded telepathy-stream-engine.  Closes:
    bug#526891, thanks to Sjoerd Simons.
  * Recommend recent network-manager.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 May 2009 19:55:16 +0200

sugar-presence-service (0.82.2-1) unstable; urgency=low

  * New upstream release.
  * Depend on ${misc:Depends}.
  * Update cdbs snippets:
    + Run dh_py* scripts before dh_installinit in python-autotools.mk
      (see bug#494288)
    + Cleanup check stamp dir for flavored builds in makefile.mk, fixing
      failure to build twice in a row.
    + Compact simple licenses too (those without ' or later') in
      copyright-check.mk
    + Various improvements to update-tarball.mk (none important here)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Nov 2008 17:26:46 +0100

sugar-presence-service (0.82.0-1) unstable; urgency=low

  * New upstream release.
  * Update cdbs snippets:
    + Move dependency cleanup to new local snippet package-relations.mk.
    + Update copyright-check output to more closely match proposed new
      copyright file format.  Update copyright-hints.
    + Internal restructuring of flavor-enhanced autotools- and makefile-
      snippets.
    + Update README.cdbs-tweaks.
  * Add DEB_MAINTAINER_MODE in debian/rules (thanks to Romain Beauxis).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Aug 2008 20:30:08 +0200

sugar-presence-service (0.81.2-1) unstable; urgency=low

  * New upstream release.
  * Update local cdbs snippets:
    + Relax copyright-check to only warn about its discoveries.  Closes:
      bug#486999.
  * Update debian/copyright-hints.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Jun 2008 01:27:39 +0200

sugar-presence-service (0.81.1-1) unstable; urgency=low

  * New upstream release.
  * Reorganize debian/copyright to only mention each license once.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Jun 2008 12:43:04 +0200

sugar-presence-service (0.79.3-2) unstable; urgency=low

  * Have python-gobject build-dependency fallback to python-gtk2 older
    than 2.9 (it provided gobject back then).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Apr 2008 12:10:02 +0200

sugar-presence-service (0.79.3-1) unstable; urgency=low

  * New upstream release.
    Highlights:
    + always reset the reconnect timer when disconnected
  * Bump debhelper compatibility level to 6 (was 5).
  * Update local cdbs snippets:
    + Relax python-central and python-support build-dependencies in
      python-autotools.mk.
    + Strip any non-printable characters in copyright-check.mk.

