=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2008-2010 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for sugar-presence-service
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.

DEB_BUILDDIR = build
DEB_PYTHON_SYSTEM = pycentral
include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/python-autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# Suppress unneeded auto-resolved build-dependency on python-dev
CDBS_BUILD_DEPENDS_class_python-autotools_python = python$(cdbs_python_nondefault_version)

pkgbase = sugar-presence-service
pkgbranch = 0.84
pkg = $(pkgbase)-$(pkgbranch)

DEB_UPSTREAM_PACKAGE = $(DEB_SOURCE_PACKAGE:%-$(pkgbranch)=%)
DEB_UPSTREAM_URL = http://download.sugarlabs.org/sources/sucrose/glucose/$(DEB_UPSTREAM_PACKAGE)
DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2
DEB_UPSTREAM_TARBALL_MD5 = ccae53a871725366f0c133de99d8eb5d

DEB_MAKE_CHECK_TARGET = check

# Needed by upstream unittests
#  openssh-client contains ssh-keygen
#  pygtk << 2.9 contained gobject
CDBS_BUILD_DEPENDS += , python-dbus, python-gobject | python-gtk2 (<< 2.9), openssh-client

# Needed (always/often) at runtime
#  net-tools (route) needed as fallback for NetworkManager 0.7
CDBS_DEPENDS = python-sugar-toolkit-$(pkgbranch)
CDBS_DEPENDS += , python-gobject, python-dbus (>= 0.82.0), python-telepathy
CDBS_DEPENDS += , telepathy-gabble, telepathy-salut, net-tools
CDBS_RECOMMENDS = sugar-$(pkgbranch), avahi-daemon, network-manager (>= 0.7)

# Ensure only one variant is installed at a time (Debian Policy 7.6.2)
CDBS_PROVIDES = $(pkgbase)
CDBS_CONFLICTS = $(pkgbase)
CDBS_REPLACES = $(pkgbase)
