## sugar-presence-service-0.84 0.84.3

=== debian/changelog ===
sugar-presence-service-0.84 (0.84.3-1) unstable; urgency=low

  * New upstream stable release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Oct 2010 11:20:16 +0200

sugar-presence-service-0.84 (0.84.2-1) unstable; urgency=low

  * New upstream maintenance release.
  * Bump Policy compliance to standards-version 3.9.1.
  * Append _DEFAULT to deprecated CDBS variables in rules file.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Oct 2010 12:38:54 +0200
