=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: devscripts (>= 2.10.7~),
- dh-buildinfo,
  python-central,
  cdbs (>= 0.4.75~),
  python,
  debhelper (>= 6),
+ dh-buildinfo,
  python-dbus,
  python-gobject | python-gtk2 (<< 2.9),
  openssh-client
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/collab-maint/sugar-presence-service.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/sugar-presence-service.git;a=shortlog;h=refs/heads/master-0.84
 Homepage: http://wiki.sugarlabs.org/go/Sugar
